"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Client = void 0;
const tslib_1 = require("tslib");
/* eslint-disable @typescript-eslint/no-unused-vars */
/*
 * Copyright (c) 2018 Tencent. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
const TencentCloudCommon = tslib_1.__importStar(require("tencentcloud-sdk-nodejs-common"));
/**
 * ai3d client
 * @class
 */
class Client extends TencentCloudCommon.AbstractClient {
    constructor(clientConfig) {
        super("ai3d.tencentcloudapi.com", "2025-05-13", clientConfig);
    }
    /**
       * 混元生3D接口，基于混元大模型，根据输入的文本描述/图片智能生成3D。
  默认提供1个并发，代表最多能同时处理1个已提交的任务，上一个任务处理完毕后，才能开始处理下一个任务。
       */
    async SubmitHunyuanTo3DJob(req, cb) {
        return this.request("SubmitHunyuanTo3DJob", req, cb);
    }
    /**
       * 混元生3D接口，基于混元大模型，根据输入的文本描述/图片智能生成3D。
  默认提供1个并发，代表最多能同时处理1个已提交的任务，上一个任务处理完毕后，才能开始处理下一个任务。
       */
    async QueryHunyuanTo3DJob(req, cb) {
        return this.request("QueryHunyuanTo3DJob", req, cb);
    }
}
exports.Client = Client;
